## chrome-gnome-shell 7.1

=== debian/changelog ===
chrome-gnome-shell (7.1-1ubuntu0.1) yakkety; urgency=medium

  * debian/patches/debian-distribution.patch:
    - Modify to enable this package to work with Google Chrome
      (instead of Chromium only) (LP: #1644370) (Closes: #840804)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Nov 2016 18:01:51 -0500

chrome-gnome-shell (7.1-1) unstable; urgency=medium

  * Initial release to Debian (Closes: #826848). Picked most changes
    from Upstream's PPA.
  * [6f85834] Add patch to relax chromium extension installation policy
  * [e4c9dfc] Add missing sources for jquery and tabby. Have been
    included in the upstream repo now

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 29 Sep 2016 13:40:02 +0530
