=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: chrome-gnome-shell
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper (>= 9.0.0), cmake, python (>= 2.7), gnome-pkg-tools
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/chrome-gnome-shell.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/chrome-gnome-shell.git

Package: chrome-gnome-shell
Architecture: all
Depends: ${misc:Depends}, gnome-shell, python (>= 2.7), python-gi
Suggests: chromium
Description: GNOME Shell integration for Chromium browser
 Provides integration with GNOME Shell extensions repository for
 Chromium (and other derivaties) browser
 .
 This package provides the connector that talks with the browser
 extension
