## chrome-gnome-shell 7.2

=== debian/changelog ===
chrome-gnome-shell (7.2-2ubuntu1) zesty; urgency=medium

  * Sync with Debian. Remaining change:
    - Only apply debian-distribution.patch on Debian since it's not needed
      on Ubuntu and breaks integration with the official Google Chrome
      (Closes: #840804)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2016 19:59:29 -0500

chrome-gnome-shell (7.2-2) unstable; urgency=medium

  * [92d31a8] Drop upstream's broken installation script
  * [9a4fc87] Don't touch conffiles (Closes: #847226)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 06 Dec 2016 23:46:51 +0530

chrome-gnome-shell (7.2-1) unstable; urgency=medium

  * [f31a9ad] Fix patch for missing comma in syntax.
    Thanks: Yuri Konotopov
  * [9eea734] Add README.Debian with some details about current
    functionality
  * [cf70672] New upstream version 7.2
  * [9b19951] Refresh patch debian/patches/debian-distribution.patch

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 01 Dec 2016 21:48:57 +0530
