## chrome-gnome-shell 8

=== debian/changelog ===
chrome-gnome-shell (8-4) unstable; urgency=medium

  * Update description and add pointers to browser extension.
    Thanks to Jeremy Bicha (Closes: #851479)
  * Fix typo in spelling. Thanks Michael Biebl

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 21 Mar 2017 23:18:29 +0530

chrome-gnome-shell (8-3) unstable; urgency=medium

  * [0f30fa7] Cherry pick fixes from upstream, fixing crashes and
    exceptions

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 24 Jan 2017 22:46:42 +0530

chrome-gnome-shell (8-2) unstable; urgency=medium

  * [faf817c] Add runtime dependency on python-requests.
    Thanks to Yuri Konotopov

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 11 Jan 2017 13:45:14 +0530

chrome-gnome-shell (8-1) unstable; urgency=medium

  * [db1c7db] New upstream version 8
    This version extends support for Firefox browsers
  * [be9c337] Refresh patch
  * [60eaced] Add jq to build deps
  * [a83d074] Update copyright with MIT License
  * [963d677] Delete  debian/missing-sources. Provided by upstream now

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 10 Jan 2017 22:56:33 +0530
