=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: chrome-gnome-shell
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, 
Build-Depends: debhelper (>= 9.0.0), cmake, python (>= 2.7), gnome-pkg-tools, jq
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/chrome-gnome-shell.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/chrome-gnome-shell.git

Package: chrome-gnome-shell
Architecture: all
Depends: ${misc:Depends}, gnome-shell, python (>= 2.7), python-gi, python-requests (>= 2.0)
Suggests: chromium | chromium-browser, firefox
Enhances: chromium, chromium-browser, firefox
Description: GNOME Shell extensions integration for web browsers
 Provides integration with GNOME Shell extensions repository for
 Chromium (and derivatives) and Firefox
 .
 This package provides the connector that talks with the browser
 extension
