=== debian/changelog ===
chrome-gnome-shell (8.2-0ubuntu2) zesty; urgency=medium

  * Add git_fix-messaging-for-firefox54.patch:
    - Make compatible with Firefox 54+
  * Add git_handle-gnome-shell-not-running.patch:
    - Don't show error popup when gnome-shell isn't running (LP: #1671572)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2017 12:06:55 -0400

chrome-gnome-shell (8.2-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Drop patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2017 14:33:37 -0500

chrome-gnome-shell (8-2ubuntu4) zesty; urgency=medium

  * Add patches from Debian 8-3 (cherrypicked from upstream 8.1) to fix
    crashes (LP: #1660063)
    - array-duplicates.patch
    - assume-version-1.patch
    - dont-use-get_dbus_connection.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2017 23:03:57 -0500

chrome-gnome-shell (8-2ubuntu3) zesty; urgency=medium

  * Don't try to use alternate Enhances

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2017 16:07:31 -0500

chrome-gnome-shell (8-2ubuntu2) zesty; urgency=medium

  * debian/control, debian/rules: Use python3 instead of python
    (Closes: #851479)
  * Update description and README.Debian now that Firefox is
    also supported

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2017 14:42:14 -0500

chrome-gnome-shell (8-2ubuntu1) zesty; urgency=medium

  * Sync with Debian (LP: #1652537). Remaining change:
    - Only apply debian-distribution.patch on Debian since it's not needed
      on Ubuntu and breaks integration with the official Google Chrome
      (Closes: #840804)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2017 05:51:51 -0500
