## chrome-gnome-shell 8.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 endif(NOT DEFINED CMAKE_SIZEOF_VOID_P)
 
 # Variables
-set(PROJECT_VERSION "8.2")
+set(PROJECT_VERSION "8.2.1")
 
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 set(ARCHIVE_FULL_NAME ${ARCHIVE_NAME}.tar.xz)
