=== debian/changelog ===
chrome-gnome-shell (8.2.1-1ubuntu1) zesty; urgency=medium

  * Sync with Debian. Remaining changes:
    - Only apply debian-distribution.patch on Debian since it's not needed
      on Ubuntu and breaks integration with the official Google Chrome
      (Closes: #840804)
    - Add git_handle-gnome-shell-not-running.patch:
      + Don't show error popup when gnome-shell isn't running (LP: #1671572)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Mar 2017 08:44:20 -0400

chrome-gnome-shell (8.2.1-1) experimental; urgency=medium

  * Update description and add pointers to browser extension.
    Thanks to Jeremy Bicha (Closes: #851479)
  * Really build for Python3. Thanks to Jeremy Bicha
  * Fix typo in spelling. Thanks Michael Biebl
  * New upstream version 8.2.1
  * Drop patches, new upstream release

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 28 Mar 2017 17:26:46 +0530
