=== debian/changelog ===
chrome-gnome-shell (9-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Only apply debian-distribution.patch on Debian since it's not needed
      on Ubuntu and breaks integration with the official Google Chrome
      (Closes: #840804)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Oct 2017 07:43:04 +0100

chrome-gnome-shell (9-1) unstable; urgency=medium

  * New upstream version 9

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 07 Aug 2017 12:46:34 +0530

chrome-gnome-shell (9-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/watch
  * -debian/patches/git_handle-gnome-shell-not-running.patch

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 04 May 2017 11:11:47 -0400
