=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Source: chrome-gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, 
-Build-Depends: debhelper (>= 9.0.0), cmake, python (>= 2.7), gnome-pkg-tools, jq
+Build-Depends: debhelper (>= 9.0.0), cmake, python3, gnome-pkg-tools, jq
 Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/chrome-gnome-shell.git
@@ -15,7 +16,7 @@
 
 Package: chrome-gnome-shell
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell, python (>= 2.7), python-gi, python-requests (>= 2.0)
+Depends: ${misc:Depends}, gnome-shell, python3, python3-gi, python3-requests
 Suggests: chromium | chromium-browser, firefox
 Enhances: chromium, chromium-browser, firefox
 Description: GNOME Shell extensions integration for web browsers
