=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh $@ --with gnome
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBUILD_EXTENSION=OFF -DUSE_DEBIAN_LAYOUT=ON
+	dh_auto_configure -- -DBUILD_EXTENSION=OFF -DUSE_DEBIAN_LAYOUT=ON -DPython_ADDITIONAL_VERSIONS=3
