=== debian/changelog ===
chrome-gnome-shell (10-1) unstable; urgency=low

  * New upstream release
  * Add debian/watch
  * Drop relax-chromium-policy.patch: Obsolete with new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 04 Feb 2018 16:45:07 -0500

chrome-gnome-shell (9-2) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add debian/gbp.conf
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3
  * Drop no-longer-necessary debian-distribution.patch (Closes: #840804)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 20 Jan 2018 12:17:16 -0500
