=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Source: chrome-gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
-Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, 
-Build-Depends: debhelper (>= 9.0.0), cmake, python3, gnome-pkg-tools, jq
-Standards-Version: 3.9.8
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
+Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper (>= 11), cmake, python3, gnome-pkg-tools, jq
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/chrome-gnome-shell
+Vcs-Git: https://salsa.debian.org/gnome-team/chrome-gnome-shell.git
 Homepage: https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/chrome-gnome-shell.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/chrome-gnome-shell.git
 
 Package: chrome-gnome-shell
 Architecture: all
