=== debian/changelog ===
chrome-gnome-shell (10.1-5) unstable; urgency=medium

  * Team upload
  * Avoid failure to install or reconfigure when
    /etc/opt/chrome/native-messaging-hosts/org.gnome.chrome_gnome_shell.json
    already exists. Thanks to Mike Miller. (Closes: #919028)
  * Remove /etc/opt/chrome/native-messaging-hosts during purge, avoiding
    leftover directories during remove-then-purge (thanks, piuparts)

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Feb 2019 13:48:08 +0000

chrome-gnome-shell (10.1-4) unstable; urgency=medium

  * Use debian/postinst and debian/postrm to handle the Chrome integration
    file to work around base-files and piuparts (Closes: #888549)
  * Drop lintian override file since it's now no longer needed
  * Drop obsolete debian/preinst, not needed after Stretch

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 30 Dec 2018 17:31:21 -0500

chrome-gnome-shell (10.1-3) unstable; urgency=medium

  * Drop debian-distribution.patch again
  * Add lintian override for dir-or-file-in-etc-opt
    - chrome-gnome-shell supports Firefox and Chromium. To also support
      Chrome (which installs to /opt), it must install a file in /etc/opt/

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 19:08:16 -0500

chrome-gnome-shell (10.1-2) unstable; urgency=high

  * debian/rules: Set -DCMAKE_INSTALL_LIBDIR=lib
    - Keep installing to /usr/lib/mozilla/ even with debhelper 11.4
  * Bump Standards-Version to 4.3.0
  * Temporarily restore debian-distribution.patch so that this package
    can get to Testing while we sort out 896761

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 19:08:51 -0500

chrome-gnome-shell (10.1-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/maintscript: Remove obsolete conffiles

  [ Jeremy Bicha ]
  * New upstream release
  * Add Breaks against firefox and firefox-esr << 56 per upstream

  [ Ritesh Raj Sarraf ]
  * Add build dependency on python3-distutils (Closes: #896761)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 12 Aug 2018 15:17:07 -0400
