=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: chrome-gnome-shell
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 11),
               cmake,
               gnome-pkg-tools,
               jq,
               python3,
               python3-distutils
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/chrome-gnome-shell
Vcs-Git: https://salsa.debian.org/gnome-team/chrome-gnome-shell.git
Homepage: https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome

Package: chrome-gnome-shell
Architecture: all
Depends: ${misc:Depends}, gnome-shell, python3, python3-gi, python3-requests
Suggests: chromium | chromium-browser, firefox
Enhances: chromium, chromium-browser, firefox
Breaks: firefox (<< 56), firefox-esr (<< 56)
Description: GNOME Shell extensions integration for web browsers
 Provides integration with GNOME Shell extensions repository for
 Chromium (and derivatives) and Firefox
 .
 This package provides the connector that talks with the browser
 extension
